Skip to main content
GET
/
lists
/
investors
/
{listId}
Get specific investor list info
curl --request GET \
  --url https://app.tryspecter.com/api/v1/lists/investors/{listId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/lists/investors/{listId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/lists/investors/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b73c8bed-3b92-48f9-a879-40ee114dca03",
  "name": "Top European Seed VCs",
  "created_at": "2024-11-14T10:36:12.625Z",
  "updated_at": "2024-11-14T10:36:12.625Z",
  "investors": [
    {
      "investor_id": "inv_5e3a7f2b0aa7a3270a55f2a7",
      "created_at": "2025-01-02T17:29:46.688Z"
    }
  ]
}
{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string<uuid>
required

The ID of the list being requested.

Response

The list including investor ids

id
string<uuid>

List Id

Example:

"b73c8bed-3b92-48f9-a879-40ee114dca03"

name
string

Name of the list

Example:

"Top European Seed VCs"

created_at
string<date-time>

Date (YYYY:MM:DD) the list was created.

Example:

"2024-11-14T10:36:12.625Z"

updated_at
string<date-time>

Date (YYYY:MM:DD) the list was last updated.

Example:

"2024-11-14T10:36:12.625Z"

investors
object[]

The investors included in this list